* {
  box-sizing: content-box;
}

body {
  font-family: "Segoe UI", Helvetica, Arial, sans-serif;
}

ul {
  list-style: none;
  padding-left: 0;
}
i {
  color: black;
}
.main-nav {
  display: flex;
  font-size: 14px;
  justify-content: space-between;
  align-items: center;
}
.main-nav ul {
  display: flex;
}

.main-nav ul.main-menu {
  flex: 1;
  margin-left: 20px;
}
.main-nav ul.main-menu li {
  padding: 0 10px;
}

.main-nav a {
  color: black;
  text-decoration: none;
}
.main-nav .main-menu a:hover {
  border-bottom: 2px solid black;
}

.firstrow img {
  margin-top: 10px;
  width: 150px;
  height: auto;
}

.main-nav img {
  width: 130px;
}

img.search {
  width: 100%;
  width: 40px;
}

img.cart {
  width: 100%;
  width: 40px;
}

section.greenrow {
  background-color: #0f760f;
  padding: 3px;
}
section.greenrow * {
  text-align: center;
  color: white;
  text-decoration: none;
}

.hero-content {
  display: flex;
  width: 100%;
  flex-wrap: wrap;
  background: url("../img/Microsoft-Laptop.png") no-repeat;
  background-size: cover;
  background-position: right;
  height: 400px;
  flex-direction: column;
  align-items: flex-start;

  justify-content: space-around;
  margin-bottom: 20px;
  padding-bottom: 50px;
}

.container {
  display: block;
  max-width: 1400px;
  width: 94%;
  margin: auto;
}

.hero-laptop h1,
.hero-content h1 {
  font-size: 1.5rem;
  width: 60%;
  margin-left: 50px;
}
.hero-laptop {
  display: flex;
  flex-wrap: wrap;
  padding: 0;
  background-color: lightgray;
  min-height: 250px;
  width: 100%;
}
.button {
  display: flex;
  width: 60%;
  margin-left: 50px;
}

.btn {
  color: black;
  text-decoration: none;
  padding: 15px;
  max-height: 18px;
}
.second-btn {
  max-width: 200px;
}
.second-btn:hover {
  border-bottom: 2px solid black;
}

.btn:hover {
  opacity: 0.9;
}

.btn-primary {
  background-color: black;
  color: white;
}

.flex-icons {
  display: flex;
  flex-wrap: wrap;
  width: 100%;
  /* margin: 3rem auto; */
  text-align: center;
  margin-top: 30px;
  margin-bottom: 30px;
}

.small-icons {
  width: 100%;
  padding: 1rem;
}

div.small-icons img {
  float: left;
  width: 25px;
}

a {
  text-decoration: none;
}

div.small-icons a div {
  display: flex;
  align-items: center;
  padding-left: 20px;
  height: 100%;
  color: black;
  font-size: 14px;
}

div.small-icons a div:hover {
  text-decoration: underline;
}

div.small-icons a:active {
  color: yellow;
}
.grid-products a,
.grid-products div {
  color: black;
  text-align: left;
}

.grid-products .products h3 {
  margin-bottom: 5px;
}
.grid-products .products p {
  margin-top: 5px;
}
.grid-products .products span {
  color: #0067b8;
  font-weight: 600;
  padding: 0 16px 10px 0;
}
.fa-chevron-right {
  color: #0067b8;
  margin-left: 5px;
}

.xbox {
  background: url("../img/xbox.png") no-repeat;
  background-size: cover;
  width: 100%;
  height: 300px;
  background-position: right;
}

.flex-xbox {
  display: flex;
  width: 100%;
  flex-wrap: wrap;
  background-size: cover;
  background-position: right;
  min-height: 200px;
}
.flex-xbox-infos {
  background-color: #f2f2f2;
  max-width: 2048px;
  width: 100%;
  text-align: center;
  align-items: center;
  padding: 50px 20px;
}

.flex-xbox .flex-xbox-infos h3 {
  font-size: 1.7rem;
  margin-bottom: 5px;
}

.flex-xbox .flex-xbox-infos p {
  font-size: 1.3rem;
  margin-top: 0px;
  margin-bottom: 30px;
}

.flex-xbox img {
  max-width: 100%;
}
.panel-footer {
  margin-top: 30px;
  padding-top: 35px;
  padding-bottom: 35px;
  background-color: #e6e6e6;
  border-top: 0;
}
.flex-footer {
  display: flex;
}

.flex-footer a {
  color: black;
}

.bold {
  font-weight: 600;
  font-size: 1.1em;
}

.flex-microsoft-links {
  display: flex;
}

.flex-microsoft-links ul {
  display: flex;
  justify-content: flex-end;
  width: 100%;
}
.flex-microsoft-links ul li {
  padding-right: 20px;
}
.menu-btn {
  cursor: pointer;
  top: 20px;
  left: 30px;
  z-index: 2;
  display: none;
}
.sr-only {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  border: 0;
}
.products img {
  width: 100%;
}
.social-media {
  display: flex;
  align-items: center;
  margin: 40px 0;
}
.social-media a,
.social-media span {
  margin-right: 15px;
}
.flex-footer-columns a p {
  font-size: 0.8em;
}
.language {
  display: flex;
  align-items: center;
}
.language * {
  margin-right: 20px;
  font-size: 0.95em;
}
.right-menu li {
  margin-left: 20px;
}
.right-menu i:hover {
  opacity: 0.8;
}
.right-menu a span:hover {
  opacity: 0.8;
  border-bottom: 2px solid black;
}

/* Small devices only*/
@media (max-width: 539px) {
  .main-nav ul.main-menu {
    display: block;
    position: absolute;
    top: 44px;
    left: 0;
    background-color: #f2f2f2;
    font-size: 20px;
    width: 100%;
    transform: translateX(-1000px);
    padding-top: 0px;
  }

  .main-nav ul.main-menu li > a {
    margin-left: 20px;
  }
  .main-nav ul.main-menu.show {
    transform: translateX(-20px);
  }
  .main-nav ul.main-menu li {
    border-bottom: 2px solid lightgray;
    padding: 10px 0 10px;
  }
  .main-nav ul.main-menu li:last-child {
    border-bottom: 2px solid black;
  }
  .menu-btn {
    display: block;
    margin-right: 20px;
  }
  .menu-btn i.x-menu {
    display: none;
  }
  .menu-btn i.x-menu.show {
    display: block;
  }
  .menu-btn i.hamburger-menu.show {
    display: block;
  }
  .menu-btn i.hamburger-menu.hidden {
    display: none;
  }
  .menu-btn i {
    width: 20px;
  }

  .menu-btn:hover {
    opacity: 0.5;
  }
  .grid-products {
    display: grid;
    grid-template-rows: repeat(4, 1fr);
    grid-column-gap: 20px;
    width: 100%;
    margin: 3rem auto;
    text-align: center;
  }
  .grid-products .products img {
    max-width: 95%;
  }
  .grid-products .products {
    padding-left: 10px;
    margin-bottom: 20px;
  }
  .grid-products .products:nth-child(3) {
    margin-bottom: 0;
  }
  .products h3,
  .products p {
    max-width: 95%;
  }
  section.joppa .image {
    background: url(../img/joppa-small.png) no-repeat;
    width: 100%;
    min-height: 250px;
    height: auto;
  }
  section.joppa .greyBlock {
    background-color: #333;
    height: 200px;
    width: 100%;
    display: block;
    text-align: center;
    align-content: center;

    padding-top: 100px;
  }
  section.joppa h3 {
    color: white;
    margin: 0;
  }

  section.joppa p {
    color: white;
    margin: 0 0 30px;
  }
  .btn-white {
    background-color: white;
    color: black;
    text-decoration: none;
    padding: 15px;
    max-height: 18px;
  }
  .button {
    flex-direction: column;

    width: 80%;
  }
  .button div:first-child {
    margin-bottom: 30px;
  }

  .flex-footer {
    flex-wrap: wrap;
    width: 100%;
    padding: 0 40px 0 40px;
    text-align: left;
  }
  .flex-footer-columns {
    width: 100%;
  }
  .earthIcon {
    max-width: 30px;
  }

  .flex-microsoft-links {
    flex-wrap: wrap;
    width: 90%;
    padding: 0;
    text-align: left;
    margin: 0;
  }
  .flex-microsoft-links ul {
    flex-wrap: wrap;
    width: 100%;
    text-align: left;
    justify-content: flex-start;
    font-size: 0.8em;
    padding-bottom: 10px;
  }
  .flex-microsoft-links ul li {
    padding: 0px 0px 10px 0px;
  }

  .language {
    width: 100%;
    padding-bottom: 10px;
    padding-top: 10px;
  }
  .language i.fa-globe-europe {
    width: 10px;
  }
  a.links {
    padding: 5px 10px 5px 10px;
  }
}
.language img {
  width: 30px;
  padding-right: 15px;
}
.panel-footer {
  padding-bottom: 0px;
}

/* Medium devices only*/
@media (min-width: 540px) and (max-width: 1083px) {
  .main-nav ul.main-menu {
    display: block;
    position: absolute;
    top: 43px;
    left: 0;
    background-color: #f2f2f2;
    font-size: 20px;
    width: 100%;
    transform: translateX(-2000px);
  }

  .main-nav ul.main-menu li > a {
    margin-left: 20px;
  }
  .main-nav ul.main-menu.show {
    transform: translateX(-20px);
  }
  .main-nav ul.main-menu li {
    border-bottom: 2px solid lightgray;
    padding: 10px 0 10px;
  }
  .main-nav ul.main-menu li:last-child {
    border-bottom: 2px solid black;
  }
  .menu-btn {
    display: block;
    margin-right: 20px;
  }
  .menu-btn i.x-menu {
    display: none;
  }
  .menu-btn i.x-menu.show {
    display: block;
  }
  .menu-btn i.hamburger-menu.show {
    display: block;
  }
  .menu-btn i.hamburger-menu.hidden {
    display: none;
  }
  .menu-btn i {
    width: 20px;
  }

  .menu-btn:hover {
    opacity: 0.5;
  }
  .grid-products {
    display: grid;
    grid-template-rows: repeat(2, 1fr);
    grid-template-columns: repeat(2, 1fr);
    grid-column-gap: 20px;
    width: 80%;
    margin: 3rem 10px;
    text-align: center;
  }
  .grid-products .products {
    margin-bottom: 20px;
  }
  section.joppa .image {
    display: none;
  }
  section.joppa .greyBlock {
    background: url(../img/joppa-medium.png) no-repeat;
    background-size: cover;
    width: 100%;
    min-height: 300px;
    height: auto;
    color: white;
    padding: 120px 0px 0 80px;
  }
  section.joppa h3 {
    margin: 0;
  }

  section.joppa p {
    margin: 0 0 30px;
  }

  .btn-white {
    background-color: white;
    color: black;
    text-decoration: none;
    padding: 15px;
    max-height: 18px;
  }
  .btn {
    margin-left: 0;
  }
  .first-btn,
  .second-btn {
    width: 100%;
    text-align: center;
  }
  .products {
    width: 95%;
    text-align: right;
  }

  .grid-products {
    width: 100%;
  }

  .xbox {
    height: 450px;
    background-position: center;
  }
  .products p.Unternehmen1,
  .products p.Unternehmen2 {
    height: 30px;
    display: block;
    font-size: 1.17em;
    font-weight: bold;
  }
  .flex-footer {
    flex-wrap: wrap;
    width: 100%;
    padding: 0 40px 0 40px;
    text-align: left;
  }
  .flex-footer-columns {
    width: 33%;
  }
  .language {
    width: 100%;
    padding-bottom: 10px;
  }
  a.links {
    width: 12.5%;
    font-size: 0.8em;
    text-align: center;
  }

  .flex-microsoft-links {
    flex-wrap: wrap;
    width: 100%;
    padding-right: 50px;
    text-align: left;
  }
  .flex-microsoft-links ul {
    display: flex;
    width: 100%;
    flex-wrap: wrap;
    justify-content: flex-start;
  }
  .flex-microsoft-links ul li {
    padding-bottom: 5px;
  }
}

/* Big devices only */
@media (min-width: 1084px) {
  .grid-products {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-column-gap: 40px;
    width: 100%;
    margin: 3rem auto;
    text-align: center;
  }
  section.joppa .image {
    display: none;
  }
  section.joppa .greyBlock {
    background: url(../img/joppa-big.png) no-repeat;
    background-size: cover;
    max-width: 1350px;
    min-height: 300px;
    height: auto;
    color: white;
    padding: 120px 0px 0 80px;
  }
  section.joppa h3 {
    margin: 0;
  }

  section.joppa p {
    margin: 0 0 30px;
  }

  .btn-white {
    background-color: white;
    color: black;
    text-decoration: none;
    padding: 15px;
    max-height: 18px;
  }
  .flex-icons {
    flex-wrap: nowrap;
    width: 100%;
    justify-content: center;
  }
  div.small-icons img {
    float: none;
    width: 40px;
  }
  div.small-icons a div {
    display: block;
  }
  .flex-xbox {
    flex-wrap: nowrap;
    flex-direction: row-reverse;
  }
  .xbox {
    min-height: 500px;
    background-position: center;
  }
  .flex-xbox-infos {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }

  .products p.Unternehmen1,
  .products p.Unternehmen2,
  .products p.Unternehmen3,
  .products p.Unternehmen4 {
    height: 30px;
    display: block;
    font-size: 1.4em;
    font-weight: 700;
  }
  .flex-footer {
    flex-wrap: wrap;
    width: 100%;
    padding: 0 40px 0 40px;
    text-align: left;
  }
  .flex-footer-columns {
    padding: 0 7px;
    width: 15%;
  }
  a.links {
    width: 12.5%;
    font-size: 0.8em;
    text-align: center;
  }
}
